Subject: Re: receiving self-orig Lsa

From: Jason Chen <[email-masked]>
Date: Tue, 12 Aug 2003 12:17:01 -0700

Hi,

> -----Original Message-----
> From: Acee Lindem [mailto:[email-masked]]
> Sent: Thursday, August 07, 2003 8:54 PM
> To: [email-masked]
> Subject: Re: receiving self-orig Lsa
> 
> 
> Hi Jason,
> 
> Jason Chen wrote:
> > Hi,
> >
> > We need some clarification regarding -- "Receiving 
> self-originated LSA"
> >
> > RFC section 13.4 said,
> >
> > ".... A self-originated LSA is detected when..... 2) the LSA is a
> > network- LSA and its Link State ID is equal to one of the 
> router's own
> > IP interface addresses. "
> >
> > ".....In most cases, the router must then advance the LSA's 
> LS sequence
> > number one past the received LS sequence number, and originate a new
> > instance of the LSA"
> >
> > In an OSPF network, if one router change its OSPF router-id 
> and then it
> > receives self-orig Network Lsa with its old router id from its
> > neighbor.  If the criteria (2) is met, should we treat the 
> received LSA
> > as self-orig LSA ?
> 
> Yes.
> >
> > If we treat the LSA as self-orig LSA, the router will 
> reoriginate  new
> > LSA (with new router-id)  with sequence number one past the received
> > sequence number. What would be the right behavior once its neighbor
> > receive the new LSA ?
> 
> You should flush it from the routing domain as described in the
> third paragraph of section 13.4, RFC 2328.
> 

Is there issue not to flush those LSA with old/unknown router id ? Will that cause network unstable ?

> ------
> Acee

---

From: Acee Lindem <[email-masked]>
Date: Wed, 13 Aug 2003 08:41:07 -0400

> Will that cause network unstable ?

Since a router LSA's link to the transit network only contains the
DR's IP address, the old network LSA could be used in the SPF calcuation.
For routers that aren't connected to the transit network, it is difficult
to determine which LSA is current. There are hacks to get around this but
it is better if the originator follows the specification and
purges the stale network LSA.

--
Acee